Subject: Re: [Idr] BGP Attribute for Large communities (Attribute 30) was squatted on - Let's get a new attribute number (1 week WG call (10/18 to 10/25)

From: Zhuangshunwan <[email-masked]>
Date: Tue, 1 Nov 2016 07:00:03 +0000

WG:

We have done a thorough analysis about the attribute squatting issue on Huawei router. Attribute 30 was used for an implementation of draft-vandevelde-idr-remote-next-hop, and attribute 129 was used for an implementation of draft-ietf-idr-wide-bgp-communities.

For attribute 30, we have created patches for this issue, and will completely fix the problem in the new release version. In future we will replace this feature with the mechanism defined in draft-ietf-idr-tunnel-encaps.

For attribute 129, we request deprecation of attribute code 129. We will wait for the Early Allocation value for draft-ietf-idr-wide-bgp-communities, Once it is assigned by IANA, we will update our implementation and use the assigned code for POC test.

I sincerely apologize on behalf of Huawei for our oversight.

Thanks,
Shunwan

发件人: Idr [mailto:[email-masked]] 代表 Susan Hares
发送时间: 2016年10月18日 23:01
收件人: 'IETF IDR WG'
抄送: 'Kristian Larsson'
主题: [Idr] BGP Attribute for Large communities (Attribute 30) was squatted on - Let's get a new attribute number (1 week WG call (10/18 to 10/25)

WG:

Early testing of the Large Communities draft (draft-ietf-idr-large-community-03.txt)  with attribute value of 30 detect that we had an implementation squatting on attribute 30 by a Huawei router.   “Squatting” on an attribute is anti-social behavior in the Internet in any release of software.

The individuals who did in Huawei have been contacted by Jie Dong, and “asked” if they had made this mistake in any other attribute.   These individuals confessed to Attribute 129 (for wide communities).  These individuals apologize to the Working group.

Now what shall we do? The large community draft is critical for several networks. After talking with the developers and operators, John and I would like to recommend we do the following:

IDR should recommend that the following attribute numbers be deprecated:

BGP Attribute 30
BGP attribute 129

IDR should ask IANA to assign BGP Large Communities (currently Attribute 30) to a new attribute number.  This is a 1 week call to determine if the IDR approves this action.   This call will allow the large communities draft to still continue with the 2 week WG LC.

John, Alvaro, and I have check the early allocation rules.  Implementations should ask for early allocation prior to releasing, and they do not need to be interoperability testing to request the early allocation for the attribute.

Sue Hares